Imports GrapeCity.ActiveReports 
Imports GrapeCity.ActiveReports.Document

Public Class rptSDLBenachrichtigungDE
    Public sdlNr As Integer = -1
    Public sdlText As String = ""
    Public KdNr As Integer = -1
    Public fahrer As Boolean = False
    Public KUNDE As cKundenFMZOLL
    Public cSqlDb As New cSqlDb
    Public von As Date
    Public bis As Date
    Public sachbearbeiter As String
    Public Sprache As String = "DE"
    Public ds = Nothing
    Private Sub rptAuswertung_ReportStart(sender As System.Object, e As System.EventArgs) Handles MyBase.ReportStart
        If KdNr <= 0 Then MsgBox("Keine Kunden-Nr angegeben!") : Exit Sub
        ' If sdlNr <= 0 Then Exit Sub

        Dim kundenSQL As New kundenSQL
        Me.DataSource = ds


        KUNDE = kundenSQL.getKundeFMZOLLByKdNr(KdNr)

        lblFirma.Text = KUNDE.Name_1 & vbNewLine &
                        IIf(KUNDE.Name_2 <> "", KUNDE.Name_2 & vbNewLine, "") &
                        KUNDE.Straße & vbNewLine & vbNewLine &
                        KUNDE.LandKz & " " & KUNDE.PLZ & " " & KUNDE.Ort

        lblAnspr.Text = KUNDE.Ansprechpartner

        lblUnterschrift.Text = "i.A. " & sachbearbeiter
        Label12.Text = sachbearbeiter
        If fahrer Then
            lblFAX.Text = "" : lblFAX.Visible = False
            Label13.Visible = False
            Label16.Visible = False
            lblUnterschrift.Visible = False
            lblMfg.Visible = False
            LineFahrer.Visible = True
            lblUnterschrFahrer.Visible = True
        Else
            If KUNDE.Telefax <> "" Then : lblFAX.Text = "FAX-Nr.: " & KUNDE.Telefax
            ElseIf KUNDE.E_Mail <> "" Then : lblFAX.Text = "E-Mail: " & KUNDE.E_Mail
            End If
        End If

        Select Case Sprache
            Case "DE"
                If fahrer Then
                    lblBetreff.Text = "ÜBERNAHMEBESTÄTIGUNG"
                    'lblUnterschrFahrer.Text = "ÜBERNAHMEBESTÄTIGUNG"
                End If
            Case "TR"
                Label8.Text = "Sayin Yetkili," & vbNewLine & vbNewLine & "Yeni Araciniza (Araclariniza) ait olan MAUT CIHAZI bugün SUBEN ofisimize gönderilmistir," & vbNewLine & "Ilgili Soförünüz Cihazini alabilmesi icin  Ofisimize yönlendirmenizi rica ederiz"
                Label11.Text = "Pazartesi-Cuma : 06:00 – 22:00" & vbNewLine & "Cumartesi : 06:00-14:00" & vbNewLine & "Pazar : 18:00-22:00"
                Label13.Text = "Mesai saatleri:"
                lblBetreff.Text = "Konu: OTOMATIK MAUT CIHAZI"
                Label1.Text = Label1.Text.Replace("2777 - 0", "2777 - 56")
                Label1.Text = Label1.Text.Replace("yu@verag.ag", "maut.tr@verag.ag")
                Label1.Text = Label1.Text.Replace("3386", "33155")
                Label14.Text = "PLAKA"
                Label15.Text = "KART/CIHAZ"
                lblMfg.Text = "Mit freundlichen Grüßen / Saygilarimla"
                If fahrer Then
                    lblBetreff.Text = "ÜBERNAHMEBESTÄTIGUNG"
                    lblUnterschrFahrer.Text = "Unterschrift Fahrer"
                End If
            Case "YU"
                Label8.Text = "Postovane dame i gospodo!" & vbNewLine & vbNewLine & "YeniPo Vasoj narudzbi stigle su sljedece kartice/boksove:"
                Label11.Text = "Vozac moze preuzet tokom naseg radnog vremena od ponedeljka do petka od 06-22 i subotom od 06-13 na  Subenu u plavoj Veragovoj zgradi."
                Label13.Text = "MOLIMO DA PIN-ove PROSLJEDITE VOZACIMA!!!!!"
                lblBetreff.Text = "Betr.: OBAVJEST"
                Label1.Text = Label1.Text.Replace("2777 - 0", "2777 - 16")
                Label1.Text = Label1.Text.Replace("yu@verag.ag", "z.batinic@verag.ag")
                Label1.Text = Label1.Text.Replace("3386", "33155")
                Label14.Text = "BROJ KAMIONA"
                Label15.Text = "KARTICE/BOKSOVE"
                lblMfg.Text = "Srdacan pozdrav!"
                If fahrer Then
                    lblBetreff.Text = "ÜBERNAHMEBESTÄTIGUNG"
                    lblUnterschrFahrer.Text = "Unterschrift Fahrer"
                End If
            Case "RO"
                Label8.Text = "Stimate client!" & vbNewLine & vbNewLine & "Va rugäm sä ridicati cartelele comandate de la sediul nostru:"
                Label11.Text = "Cartelele se pot ridica de luni – vineri intre orele 6:00 – 22:00" &
                                 "si sambata intre 6:00 – 13:00"

                Label13.Text = "Va rugam sa redirectionati codurile pin soferilor dvs."
                lblBetreff.Text = "REF: INFORMARE"
                Label1.Text = Label1.Text.Replace("2777 - 0", "2777 - 41")
                Label1.Text = Label1.Text.Replace("yu@verag.ag", "ma@verag.ag")
                Label14.Text = "NUMERU DE CAMION"
                Label15.Text = "CARTELA/BOX"
                lblMfg.Text = "Multumim pentru colaborare cu Respect"
                If fahrer Then
                    lblBetreff.Text = "ÜBERNAHMEBESTÄTIGUNG"
                    lblUnterschrFahrer.Text = "Unterschrift Fahrer"
                End If
        End Select
    End Sub

    Dim dummycount As Integer = 0
    Private Sub Detail1_Format(sender As System.Object, e As System.EventArgs) Handles Detail.Format
        dummycount += 1

        lblKennzeichen.Text = cSqlDb.checkNullStr(Fields.Item("KfzKennzeichen").Value)
        lblKarteBox.Text = cSqlDb.checkNullStr(Fields.Item("KARTEBOX").Value)
        If fahrer Then
            lblPin.Visible = False
        Else
            lblPin.Text = cSqlDb.checkNullStr(Fields.Item("PIN").Value)
        End If



        'Abwechselnd grauen und weißen Hintergrund
        If (dummycount Mod 2) = 0 Then
            Shape.BackColor = Color.White
        Else
            Shape.BackColor = Color.WhiteSmoke
        End If
    End Sub



End Class
